LISTENBRAINZ-MPD(1)

NAME
listenbrainz-mpd - ListenBrainz submission client for MPD

SYNOPSIS

listenbrainz-mpd [OPTION]...

DESCRIPTION

MPD client program that automatically submits your listened songs to or another API-compatible destination.

OPTIONS

-c, --config CONFIG_FILE
    Use CONFIG_FILE instead of the default config file.

--create-default-config
    Create a default configuration file in the default location and exit.

--send-feedback love|hate|clear
    Send ListenBrainz feedback for the currently playing song, if any.

    love
        Mark the currently playing song as "loved".

    hate
        Mark the currently playing song as "hated".

    clear
        Clear previously submitted feedback for the currently playing song.

-h, --help
    Print help and exit.

-V, --version
    Print version information and exit.

CONFIGURATION

Configuration is loaded from $XDG_CONFIG_HOME/listenbrainz-mpd/config.toml, or $HOME/.config/listenbrainz-mpd/config.toml if XDG_CONFIG_HOME is unset. An alternative configuration file may be specified using the --config option.

See the sample configuration file for details on the supported configuration keys.

ENVIRONMENT

Environment variables will override the equivalent values from the CONFIGURATION.

LISTENBRAINZ_TOKEN
    ListenBrainz user token.

MPD_HOST
    Host of the MPD server. May be a hostname or a bare IP address. IPv6 addresses should not be enclosed in square brackets. To use a server password, specify a value like password@host. If the host starts with / it indicates the path to a Unix socket. If the host starts with @ it indicates the name of an abstract socket (Linux only).

MPD_PORT
    TCP port of the MPD server.

RESOURCES

Source code and issue tracker

COPYING

Copyright © 2023 listenbrainz-mpd contributors.

This program is free software: you can redistribute it and/or modify it under the terms of the GNU Affero General Public License version 3 as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License along with this program. If not, see

AUTHOR

listenbrainz-mpd contributors